CREATE OR REPLACE VIEW VW_FCO_INTEGRADA_RT01 AS
SELECT compania,
       anio,
       mes,
       sucursal,
       tipo_planilla,
       '01' || ltrim(to_char(secuencia, '00000')) ||
       RPad(rtrim(ltrim(razon_social)), 200, ' ') || tipo_documento ||
       Rpad(nro_id, 16, ' ') || dv || 'E' || '0000000000' || '          ' ||
       Nvl((select forma_presentacion from vw_fco_companias x where x.compania = a.compania), 'C') || -- JCL Ajuste Oct-30-06
       rpad(sucursal, 10, ' ') || RPad(nombre_sucursal, 40, ' ') ||
       RPad(nueva_ARP, 6, ' ') || substr(periodo, 1, 4) || '-' || substr(periodo, 5, 2) ||
       substr(periodo_salud, 1, 4) || '-' || substr(periodo_salud, 5, 2) ||
       rpad(nro_radicacion, 10, ' ') || to_char(sysdate, 'yyyy-mm-dd') ||
       ltrim(to_char(nro_empleados, '00000')) ||
       ltrim(to_char(valor_nomina, '000000000000')) || '1' ||
       operador AS registro1
  FROM fco_integrada_cab a;
/*OJO FALTA HACERLA IGUAL QUE LA DE SQL PARA OTROS TIPOS DE PLANILLA */